## Makefile for dvi.dll					-*- Makefile -*-
## Time-stamp: "97/08/04 00:11:15 mik"

!include ..\miktex.inc

srcdir = .

OBJECTS = pkchar.obj pkfont.obj dvipage.obj dvi.obj common.obj

all: dvi.dll dvi.lib

.cpp.obj:
	$(CC) -c -I$(srcdir) -I$(libdir) -DNO_C4P -DDVI_DLL -DIN_DVI_DLL \
		-DSTRICT $(release_info) -O2 -MD $(cflags) $(CFLAGS) $<

dvi.dll dvi.lib: $(OBJECTS) .\..\lib\miktex.lib dvi.res
	link -dll -out:dvi.dll -subsystem:windows \
		-implib:dvi.lib $(OBJECTS) $(ldflags) $(LDFLAGS) \
		$(libdir)\miktex.lib dvi.res advapi32.lib

dvi.res: .\..\lib\miktex.version dvi.rc $(libdir)\version.h
	rc -I$(libdir) dvi.rc

dviscan.exe: dviscan.obj dvi.lib
	link -out:dviscan.exe dviscan.obj dvi.lib

dviscan.obj: dviscan.cpp dvi.h
	$(CC) -c -I$(srcdir) -DDVI_DLL -MD dviscan.cpp

install: dvi.dll dvi.lib
	$(INSTALL_PROGRAM) dvi.dll $(bindir)\dvi.dll

uninstall:

mostlyclean:
	-del *.obj
	-del *.res
	-del *.exp

clean: mostlyclean
	-del dvi.lib
	-del dvi.dll
	-del dviscan.exe
	-del *.pdb
	-del *.ilk

distclean: clean
	-del *.opt
	-del makefile.win32.bak

realclean: distclean

depend: pkchar.cpp pkfont.cpp dvipage.cpp dvi.cpp
	makedepend -DNO_C4P -I. -I.\..\lib $**

# DO NOT DELETE

pkchar.obj: pkchar.h dvi.h common.h
pkfont.obj: .\..\lib\miktex.h common.h pkfont.h dvi.h pkchar.h
dvipage.obj: common.h dvi.h
dvi.obj: dvi.h pkfont.h pkchar.h common.h
common.obj: common.h dvi.h
